## kdenlive 15.12.3

=== CMakeLists.txt ===
project(Kdenlive)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KDENLIVE_VERSION ${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO})
cmake_minimum_required(VERSION 2.8.12)
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 0)
set(MLT_MIN_MINOR_VERSION 9)
set(MLT_MIN_PATCH_VERSION 8)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

set(QT_MIN_VERSION 5.2.0)

find_package(ECM 1.2.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(FeatureSummary)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMOptionalAddSubdirectory)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version (use for stable releases)" ON)

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}
	ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
      RETURN_VALUE TAG_RESULT
    )
    
    # git log failed; maybe the repository was checked with depth=1.
    if(NOT ${TAG_RESULT} EQUAL 0)
      exec_program(${GIT_EXECUTABLE}
        ${CMAKE_SOURCE_DIR}
        ARGS "describe --always"
        OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
      )
    endif()
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)

find_package(Qt5 CONFIG REQUIRED Core DBus Test Widgets Script Svg)

find_package(KF5 REQUIRED Archive Bookmarks CoreAddons Config ConfigWidgets 
                            DBusAddons KIO WidgetsAddons Plotting NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes DocTools)


# Search MLT package.
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES 
                DESCRIPTION "Multimedia framework and video playout server for TV broadcasting"
                URL "http://mltframework.org"
                TYPE RUNTIME
                PURPOSE "Required to do video processing")

set(MLT_PREFIX ${MLT_ROOT_DIR})

add_subdirectory(data)
add_subdirectory(doc)
#add_subdirectory(plugins)
ecm_optional_add_subdirectory(po)
add_subdirectory(renderer)
add_subdirectory(src)
add_subdirectory(thumbnailer)
#add_subdirectory(testingArea)



configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
add_subdirectory(effects)
add_subdirectory(icons)
add_subdirectory(lumas)
add_subdirectory(man)
add_subdirectory(titles)
add_subdirectory(pics)
install(FILES
  banner.png
  blacklisted_effects.txt
  blacklisted_transitions.txt
  encodingprofiles.rc
  metadata.properties
  meta_ffmpeg.png
  meta_libav.png
  meta_magiclantern.png
  timeline_athumbs.png
  timeline_avthumbs.png
  timeline_nothumbs.png
  timeline_vthumbs.png
  kdenliveeffectscategory.rc
  kdenlivetranscodingrc
  kdenlivemonitor.qml
  kdenlivemonitoreffectscene.qml
  kdenlivemonitorcornerscene.qml
  kdenlivemonitorsplit.qml
  DESTINATION ${DATA_INSTALL_DIR}/kdenlive)
install(FILES  kdenlive.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
install(FILES kdenlive_projectprofiles.knsrc kdenlive_renderprofiles.knsrc kdenlive_wipes.knsrc kdenlive_titles.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES profiles.xml DESTINATION ${DATA_INSTALL_DIR}/kdenlive/export)
install(FILES kdenlive.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata)
install(FILES kdenlive.png DESTINATION ${DATA_INSTALL_DIR}/pixmaps)
install(FILES kdenlive.menu DESTINATION ${DATA_INSTALL_DIR}/menu RENAME kdenlive)
install(FILES org.kde.kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

find_package(SharedMimeInfo REQUIRED)
install(FILES kdenlive.xml westley.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== renderer/CMakeLists.txt ===
set(QT_DONT_USE_QTGUI 1)
set(QT_USE_QTDBUS 1)

set(kdenlive_render_SRCS
  kdenlive_render.cpp
  renderjob.cpp
)

add_executable(kdenlive_render ${kdenlive_render_SRCS})

include_directories(
  
)

#include(${QT_USE_FILE})

qt5_use_modules(kdenlive_render Widgets Concurrent DBus)

target_link_libraries(kdenlive_render
  ${QT_LIBRARIES}
  ${Qt5_LIBRARIES}
)

install(TARGETS kdenlive_render DESTINATION ${BIN_INSTALL_DIR})

=== data/icons/CMakeLists.txt ===
install(FILES
  visible.png
  novisible.png
  DESTINATION ${DATA_INSTALL_DIR}/kdenlive/pics)

ecm_install_icons(ICONS
  128-actions-kdenlive-select-all.png
  128-mimetypes-application-x-kdenlivetitle.png
  16-actions-kdenlive-add-clip.png
  16-actions-kdenlive-add-color-clip.png
  16-actions-kdenlive-add-slide-clip.png
  16-actions-kdenlive-add-text-clip.png
  16-actions-kdenlive-custom-effect.png
  16-actions-kdenlive-deleffect.png
  16-actions-kdenlive-down.png
  16-actions-kdenlive-hide-audio.png
  16-actions-kdenlive-hide-video.png
  16-actions-kdenlive-insert-edit.png
  16-actions-kdenlive-insert-rect.png
  16-actions-kdenlive-insert-unicode.png
  16-actions-kdenlive-lock.png
  16-actions-kdenlive-menu.png
  16-actions-kdenlive-normal-edit.png
  16-actions-kdenlive-object-height.png
  16-actions-kdenlive-object-width.png
  16-actions-kdenlive-overwrite-edit.png
  16-actions-kdenlive-select-all.png
  16-actions-kdenlive-select-images.png
  16-actions-kdenlive-select-rects.png
  16-actions-kdenlive-select-texts.png
  16-actions-kdenlive-select-tool.png
  16-actions-kdenlive-show-audio.png
  16-actions-kdenlive-show-audiothumb.png
  16-actions-kdenlive-show-markers.png
  16-actions-kdenlive-show-video.png
  16-actions-kdenlive-show-videothumb.png
  16-actions-kdenlive-snap.png
  16-actions-kdenlive-spacer-tool.png
  16-actions-kdenlive-split-audio.png
  16-actions-kdenlive-track_has_effect.png
  16-actions-kdenlive-unlock.png
  16-actions-kdenlive-unselect-all.png
  16-actions-kdenlive-up.png
  16-actions-kdenlive-zindex-up.png
  16-actions-kdenlive-zone-end.png
  16-actions-kdenlive-zone-start.png
  22-actions-kdenlive-select-all.png
  22-actions-kdenlive-spacer-tool.png
  32-actions-kdenlive-select-all.png
  32-apps-kdenlive.png
  32-mimetypes-application-x-kdenlivetitle.png
  48-actions-kdenlive-select-all.png
  48-apps-kdenlive.png
  64-actions-kdenlive-select-all.png
  64-apps-kdenlive.png
  64-mimetypes-application-x-kdenlivetitle.png
  sc-actions-kdenlive-align-bottom.svgz
  sc-actions-kdenlive-align-hor.svgz
  sc-actions-kdenlive-align-left.svgz
  sc-actions-kdenlive-align-none.svgz
  sc-actions-kdenlive-align-right.svgz
  sc-actions-kdenlive-align-top.svgz
  sc-actions-kdenlive-align-vert.svgz
  sc-actions-kdenlive-hide-audio-effects.svg
  sc-actions-kdenlive-hide-video-effects.svg
  sc-actions-kdenlive-insert-rect.svgz
  sc-actions-kdenlive-insert-unicode.svgz
  sc-actions-kdenlive-object-height.svgz
  sc-actions-kdenlive-object-width.svgz
  sc-actions-kdenlive-select-all.svgz
  sc-actions-kdenlive-select-images.svgz
  sc-actions-kdenlive-select-rects.svgz
  sc-actions-kdenlive-select-texts.svgz
  sc-actions-kdenlive-select-tool.svgz
  sc-actions-kdenlive-show-all-effects.svg
  sc-actions-kdenlive-show-audio-effects.svg
  sc-actions-kdenlive-show-gpu-effects.svg
  sc-actions-kdenlive-show-video-effects.svg
  sc-actions-kdenlive-spacer-tool.svgz
  sc-actions-kdenlive-unselect-all.svgz
  sc-actions-kdenlive-zindex-bottom.svgz
  sc-actions-kdenlive-zindex-down.svgz
  sc-actions-kdenlive-zindex-top.svgz
  sc-actions-kdenlive-zindex-up.svgz
  sc-actions-kdenlive-zone-end.svgz
  sc-actions-kdenlive-zone-start.svgz
  sc-actions-kdenlive-zoom-large.svgz
  sc-actions-kdenlive-zoom-small.svgz
  sc-mimetypes-application-x-kdenlive.svgz
  sc-mimetypes-application-x-kdenlivetitle.svgz
  sc-mimetypes-video-mlt-playlist.svgz
  DESTINATION ${ICON_INSTALL_DIR})

=== data/lumas/CMakeLists.txt ===
INSTALL(FILES 
bi-linear_x.png 
bi-linear_y.png 
burst.png 
checkerboard_small.png 
clock.png 
cloud.png 
curtain.png 
horizontal_blinds.png 
linear_x.png 
linear_y.png 
radial-bars.png
radial.png 
spiral.png 
spiral2.png 
square.png 
square2-bars.png 
square2.png 
symmetric_clock.png 

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/lumas)

=== data/pics/CMakeLists.txt ===
install(FILES  

breeze-light/lt_application-exit.svgz
breeze-light/lt_audio-volume-medium.svgz
breeze-light/lt_audio-volume-muted.svgz
breeze-light/lt_bookmark-new.svgz
breeze-light/lt_chronometer.svgz
breeze-light/lt_color-picker.svgz
breeze-light/lt_configure-shortcuts.svgz
breeze-light/lt_configure.svgz
breeze-light/lt_configure-toolbars.svgz
breeze-light/lt_cursor-arrow.svgz
breeze-light/lt_dialog-cancel.svgz
breeze-light/lt_dialog-close.svgz
breeze-light/lt_dialog-ok.svgz
breeze-light/lt_dialog-warning.svgz
breeze-light/lt_distribute-horizontal-x.svgz
breeze-light/lt_document-edit.svgz
breeze-light/lt_document-new.svgz
breeze-light/lt_document-open-recent.svgz
breeze-light/lt_document-open.svgz
breeze-light/lt_document-properties.svgz
breeze-light/lt_document-revert.svgz
breeze-light/lt_document-save-all.svgz
breeze-light/lt_document-save-as.svgz
breeze-light/lt_document-save.svgz
breeze-light/lt_download.svgz
breeze-light/lt_draw-bezier-curves.svgz
breeze-light/lt_draw-line.svgz
breeze-light/lt_draw-path.svgz
breeze-light/lt_edit-clear.svgz
breeze-light/lt_edit-copy.svgz
breeze-light/lt_edit-cut.svgz
breeze-light/lt_edit-delete.svgz
breeze-light/lt_edit-download.svgz
breeze-light/lt_edit-find.svgz
breeze-light/lt_edit-link.svgz
breeze-light/lt_edit-paste.svgz
breeze-light/lt_edit-redo.svgz
breeze-light/lt_edit-rename.svgz
breeze-light/lt_edit-select.svgz
breeze-light/lt_edit-undo.svgz
breeze-light/lt_favorites.svgz
breeze-light/lt_favorite.svgz
breeze-light/lt_folder-new.svgz
breeze-light/lt_folder.svgz
breeze-light/lt_format-justify-center.svgz
breeze-light/lt_format-justify-left.svgz
breeze-light/lt_format-justify-right.svgz
breeze-light/lt_format-text-italic.svgz
breeze-light/lt_format-text-underline.svgz
breeze-light/lt_go-down.svgz
breeze-light/lt_go-first.svgz
breeze-light/lt_go-jump-definition.svgz
breeze-light/lt_go-jump.svgz
breeze-light/lt_go-last.svgz
breeze-light/lt_go-next.svgz
breeze-light/lt_go-previous.svgz
breeze-light/lt_go-up.svgz
breeze-light/lt_help-about.svgz
breeze-light/lt_help-hint.svgz
breeze-light/lt_hint.svgz
breeze-light/lt_insert-horizontal-rule.svgz
breeze-light/lt_insert-text.svgz
breeze-light/lt_insert-image.svgz
breeze-light/lt_jog-dial.svgz
breeze-light/lt_kdenlive-add-clip.svgz
breeze-light/lt_kdenlive-add-color-clip.svgz
breeze-light/lt_kdenlive-add-slide-clip.svgz
breeze-light/lt_kdenlive-add-text-clip.svgz
breeze-light/lt_kdenlive-align-bottom.svgz
breeze-light/lt_kdenlive-align-hor.svgz
breeze-light/lt_kdenlive-align-left.svgz
breeze-light/lt_kdenlive-align-none.svgz
breeze-light/lt_kdenlive-align-right.svgz
breeze-light/lt_kdenlive-align-top.svgz
breeze-light/lt_kdenlive-align-vert.svgz
breeze-light/lt_kdenlive-composite.svgz
breeze-light/lt_kdenlive-custom-effect.svgz
breeze-light/lt_kdenlive-deleffect.svgz
breeze-light/lt_kdenlive-down.svgz
breeze-light/lt_kdenlive-hide-audio.svgz
breeze-light/lt_kdenlive-hide-video.svgz
breeze-light/lt_kdenlive-insert-edit.svgz
breeze-light/lt_kdenlive-insert-rect.svgz
breeze-light/lt_kdenlive-insert-unicode.svgz
breeze-light/lt_kdenlive-lock.svgz
breeze-light/lt_kdenlive-menu.svgz
breeze-light/lt_kdenlive-no-composite.svgz
breeze-light/lt_kdenlive-normal-edit.svgz
breeze-light/lt_kdenlive-object-height.svgz
breeze-light/lt_kdenlive-object-width.svgz
breeze-light/lt_kdenlive-overwrite-edit.svgz
breeze-light/lt_kdenlive-select-all.svgz
breeze-light/lt_kdenlive-select-images.svgz
breeze-light/lt_kdenlive-select-rects.svgz
breeze-light/lt_kdenlive-select-texts.svgz
breeze-light/lt_kdenlive-select-tool.svgz
breeze-light/lt_kdenlive-show-all-effects.svgz
breeze-light/lt_kdenlive-show-audio.svgz
breeze-light/lt_kdenlive-show-audiothumb.svgz
breeze-light/lt_kdenlive-show-gpu.svgz
breeze-light/lt_kdenlive-show-markers.svgz
breeze-light/lt_kdenlive-show-video.svgz
breeze-light/lt_kdenlive-show-videothumb.svgz
breeze-light/lt_kdenlive-snap.svgz
breeze-light/lt_kdenlive-spacer-tool.svgz
breeze-light/lt_kdenlive-split-audio.svgz
breeze-light/lt_kdenlive-track_has_effect.svgz
breeze-light/lt_kdenlive-unlock.svgz
breeze-light/lt_kdenlive-unselect-all.svgz
breeze-light/lt_kdenlive-up.svgz
breeze-light/lt_kdenlive-zindex-bottom.svgz
breeze-light/lt_kdenlive-zindex-down.svgz
breeze-light/lt_kdenlive-zindex-top.svgz
breeze-light/lt_kdenlive-zindex-up.svgz
breeze-light/lt_kdenlive-zone-end.svgz
breeze-light/lt_kdenlive-zone-start.svgz
breeze-light/lt_kdenlive-zoom-large.svgz
breeze-light/lt_kdenlive-zoom-small.svgz
breeze-light/lt_list-add.svgz
breeze-light/lt_list-remove.svgz
breeze-light/lt_measure.svgz
breeze-light/lt_media-optical.svgz
breeze-light/lt_media-playback-pause.svgz
breeze-light/lt_media-playback-start.svgz
breeze-light/lt_media-playback-stop.svgz
breeze-light/lt_media-playlist-repeat.svgz
breeze-light/lt_media-record.svgz
breeze-light/lt_media-seek-backward.svgz
breeze-light/lt_media-seek-forward.svgz
breeze-light/lt_media-skip-backward.svgz
breeze-light/lt_media-skip-forward.svgz
breeze-light/lt_object-group.svgz
breeze-light/lt_object-ungroup.svgz
breeze-light/lt_project-defaults.svgz
breeze-light/lt_settings-configure.svgz
breeze-light/lt_system-run.svgz
breeze-light/lt_tools-wizard.svgz
breeze-light/lt_transform-crop.svgz
breeze-light/lt_transform-move.svgz
breeze-light/lt_transform-scale.svgz
breeze-light/lt_trash-empty.svgz
breeze-light/lt_view-fullscreen.svgz
breeze-light/lt_view-grid.svgz
breeze-light/lt_view-list-icons.svgz
breeze-light/lt_view-list-tree.svgz
breeze-light/lt_view-refresh.svgz
breeze-light/lt_view-split-effect.svgz
breeze-light/lt_view-split-left-right.svgz
breeze-light/lt_view-unsplit-effect.svgz
breeze-light/lt_visibility.svgz
breeze-light/lt_zoom-fit-best.svgz
breeze-light/lt_zoom-fit-height.svgz
breeze-light/lt_zoom-fit-width.svgz
breeze-light/lt_zoom-in.svgz
breeze-light/lt_zoom-out.svgz

breeze-dark/dk_application-exit.svgz
breeze-dark/dk_audio-volume-medium.svgz
breeze-dark/dk_audio-volume-muted.svgz
breeze-dark/dk_bookmark-new.svgz
breeze-dark/dk_chronometer.svgz
breeze-dark/dk_color-picker.svgz
breeze-dark/dk_configure-shortcuts.svgz
breeze-dark/dk_configure.svgz
breeze-dark/dk_configure-toolbars.svgz
breeze-dark/dk_cursor-arrow.svgz
breeze-dark/dk_dialog-cancel.svgz
breeze-dark/dk_dialog-close.svgz
breeze-dark/dk_dialog-ok.svgz
breeze-dark/dk_dialog-warning.svgz
breeze-dark/dk_distribute-horizontal-x.svgz
breeze-dark/dk_document-edit.svgz
breeze-dark/dk_document-new.svgz
breeze-dark/dk_document-open-recent.svgz
breeze-dark/dk_document-open.svgz
breeze-dark/dk_document-properties.svgz
breeze-dark/dk_document-revert.svgz
breeze-dark/dk_document-save-all.svgz
breeze-dark/dk_document-save-as.svgz
breeze-dark/dk_document-save.svgz
breeze-dark/dk_download.svgz
breeze-dark/dk_draw-bezier-curves.svgz
breeze-dark/dk_draw-line.svgz
breeze-dark/dk_draw-path.svgz
breeze-dark/dk_edit-clear.svgz
breeze-dark/dk_edit-copy.svgz
breeze-dark/dk_edit-cut.svgz
breeze-dark/dk_edit-delete.svgz
breeze-dark/dk_edit-download.svgz
breeze-dark/dk_edit-find.svgz
breeze-dark/dk_edit-link.svgz
breeze-dark/dk_edit-paste.svgz
breeze-dark/dk_edit-redo.svgz
breeze-dark/dk_edit-rename.svgz
breeze-dark/dk_edit-select.svgz
breeze-dark/dk_edit-undo.svgz
breeze-dark/dk_favorites.svgz
breeze-dark/dk_favorite.svgz
breeze-dark/dk_folder-new.svgz
breeze-dark/dk_folder.svgz
breeze-dark/dk_format-justify-center.svgz
breeze-dark/dk_format-justify-left.svgz
breeze-dark/dk_format-justify-right.svgz
breeze-dark/dk_format-text-italic.svgz
breeze-dark/dk_format-text-underline.svgz
breeze-dark/dk_go-down.svgz
breeze-dark/dk_go-first.svgz
breeze-dark/dk_go-jump-definition.svgz
breeze-dark/dk_go-jump.svgz
breeze-dark/dk_go-last.svgz
breeze-dark/dk_go-next.svgz
breeze-dark/dk_go-previous.svgz
breeze-dark/dk_go-up.svgz
breeze-dark/dk_help-about.svgz
breeze-dark/dk_help-hint.svgz
breeze-dark/dk_hint.svgz
breeze-dark/dk_insert-horizontal-rule.svgz
breeze-dark/dk_insert-text.svgz
breeze-dark/dk_insert-image.svgz
breeze-dark/dk_jog-dial.svgz
breeze-dark/dk_kdenlive-add-clip.svgz
breeze-dark/dk_kdenlive-add-color-clip.svgz
breeze-dark/dk_kdenlive-add-slide-clip.svgz
breeze-dark/dk_kdenlive-add-text-clip.svgz
breeze-dark/dk_kdenlive-align-bottom.svgz
breeze-dark/dk_kdenlive-align-hor.svgz
breeze-dark/dk_kdenlive-align-left.svgz
breeze-dark/dk_kdenlive-align-none.svgz
breeze-dark/dk_kdenlive-align-right.svgz
breeze-dark/dk_kdenlive-align-top.svgz
breeze-dark/dk_kdenlive-align-vert.svgz
breeze-dark/dk_kdenlive-composite.svgz
breeze-dark/dk_kdenlive-custom-effect.svgz
breeze-dark/dk_kdenlive-deleffect.svgz
breeze-dark/dk_kdenlive-down.svgz
breeze-dark/dk_kdenlive-hide-audio.svgz
breeze-dark/dk_kdenlive-hide-video.svgz
breeze-dark/dk_kdenlive-insert-edit.svgz
breeze-dark/dk_kdenlive-insert-rect.svgz
breeze-dark/dk_kdenlive-insert-unicode.svgz
breeze-dark/dk_kdenlive-lock.svgz
breeze-dark/dk_kdenlive-menu.svgz
breeze-dark/dk_kdenlive-no-composite.svgz
breeze-dark/dk_kdenlive-normal-edit.svgz
breeze-dark/dk_kdenlive-object-height.svgz
breeze-dark/dk_kdenlive-object-width.svgz
breeze-dark/dk_kdenlive-overwrite-edit.svgz
breeze-dark/dk_kdenlive-select-all.svgz
breeze-dark/dk_kdenlive-select-images.svgz
breeze-dark/dk_kdenlive-select-rects.svgz
breeze-dark/dk_kdenlive-select-texts.svgz
breeze-dark/dk_kdenlive-select-tool.svgz
breeze-dark/dk_kdenlive-show-all-effects.svgz
breeze-dark/dk_kdenlive-show-audio.svgz
breeze-dark/dk_kdenlive-show-audiothumb.svgz
breeze-dark/dk_kdenlive-show-gpu.svgz
breeze-dark/dk_kdenlive-show-markers.svgz
breeze-dark/dk_kdenlive-show-video.svgz
breeze-dark/dk_kdenlive-show-videothumb.svgz
breeze-dark/dk_kdenlive-snap.svgz
breeze-dark/dk_kdenlive-spacer-tool.svgz
breeze-dark/dk_kdenlive-split-audio.svgz
breeze-dark/dk_kdenlive-track_has_effect.svgz
breeze-dark/dk_kdenlive-unlock.svgz
breeze-dark/dk_kdenlive-unselect-all.svgz
breeze-dark/dk_kdenlive-up.svgz
breeze-dark/dk_kdenlive-zindex-bottom.svgz
breeze-dark/dk_kdenlive-zindex-down.svgz
breeze-dark/dk_kdenlive-zindex-top.svgz
breeze-dark/dk_kdenlive-zindex-up.svgz
breeze-dark/dk_kdenlive-zone-end.svgz
breeze-dark/dk_kdenlive-zone-start.svgz
breeze-dark/dk_kdenlive-zoom-large.svgz
breeze-dark/dk_kdenlive-zoom-small.svgz
breeze-dark/dk_list-add.svgz
breeze-dark/dk_list-remove.svgz
breeze-dark/dk_measure.svgz
breeze-dark/dk_media-optical.svgz
breeze-dark/dk_media-playback-pause.svgz
breeze-dark/dk_media-playback-start.svgz
breeze-dark/dk_media-playback-stop.svgz
breeze-dark/dk_media-playlist-repeat.svgz
breeze-dark/dk_media-record.svgz
breeze-dark/dk_media-seek-backward.svgz
breeze-dark/dk_media-seek-forward.svgz
breeze-dark/dk_media-skip-backward.svgz
breeze-dark/dk_media-skip-forward.svgz
breeze-dark/dk_object-group.svgz
breeze-dark/dk_object-ungroup.svgz
breeze-dark/dk_project-defaults.svgz
breeze-dark/dk_settings-configure.svgz
breeze-dark/dk_system-run.svgz
breeze-dark/dk_tools-wizard.svgz
breeze-dark/dk_transform-crop.svgz
breeze-dark/dk_transform-move.svgz
breeze-dark/dk_transform-scale.svgz
breeze-dark/dk_trash-empty.svgz
breeze-dark/dk_view-fullscreen.svgz
breeze-dark/dk_view-grid.svgz
breeze-dark/dk_view-list-icons.svgz
breeze-dark/dk_view-list-tree.svgz
breeze-dark/dk_view-refresh.svgz
breeze-dark/dk_view-split-effect.svgz
breeze-dark/dk_view-split-left-right.svgz
breeze-dark/dk_view-unsplit-effect.svgz
breeze-dark/dk_visibility.svgz
breeze-dark/dk_zoom-fit-best.svgz
breeze-dark/dk_zoom-fit-height.svgz
breeze-dark/dk_zoom-fit-width.svgz
breeze-dark/dk_zoom-in.svgz
breeze-dark/dk_zoom-out.svgz

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/pics)

=== src/bin/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  bin/bin.cpp
  bin/projectitemmodel.cpp
  bin/abstractprojectitem.cpp
  bin/projectclip.cpp
  bin/projectsubclip.cpp
  bin/projectfolder.cpp
  bin/projectfolderup.cpp
  bin/projectsortproxymodel.cpp
  bin/bincommands.cpp
  PARENT_SCOPE
)

=== src/dialogs/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  dialogs/clipcreationdialog.cpp
  dialogs/encodingprofilesdialog.cpp
  dialogs/kdenlivesettingsdialog.cpp
  dialogs/profilesdialog.cpp
  dialogs/renderwidget.cpp
  dialogs/wizard.cpp
  PARENT_SCOPE)

=== src/doc/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  doc/doccommands.cpp
  doc/documentchecker.cpp
  doc/documentvalidator.cpp
  doc/kdenlivedoc.cpp
  PARENT_SCOPE)

=== src/effectstack/CMakeLists.txt ===
add_subdirectory(widgets/bezier)
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  effectstack/abstractcollapsiblewidget.cpp
  effectstack/collapsibleeffect.cpp
  effectstack/collapsiblegroup.cpp
  effectstack/complexparameter.cpp
  effectstack/dragvalue.cpp
  effectstack/effectstackedit.cpp
  effectstack/effectstackview2.cpp
  effectstack/geometryval.cpp
  effectstack/graphicsscenerectmove.cpp
  effectstack/keyframeedit.cpp
  effectstack/keyframehelper.cpp
  effectstack/parametercontainer.cpp
  effectstack/parameterplotter.cpp
  effectstack/positionedit.cpp
  effectstack/widgets/choosecolorwidget.cpp
  effectstack/widgets/colorpickerwidget.cpp
  effectstack/widgets/cornerswidget.cpp
  effectstack/widgets/doubleparameterwidget.cpp
  effectstack/widgets/geometrywidget.cpp
  effectstack/widgets/kis_cubic_curve.cpp
  effectstack/widgets/kis_curve_widget.cpp
  effectstack/widgets/colorwheel.cpp
  effectstack/widgets/lumaliftgain.cpp
  PARENT_SCOPE)

=== src/monitor/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  monitor/glwidget.cpp
  monitor/abstractmonitor.cpp
  monitor/monitor.cpp
  monitor/monitormanager.cpp
  monitor/recmanager.cpp
  monitor/recmonitor.cpp
  monitor/smallruler.cpp
  monitor/sharedframe.cpp
  PARENT_SCOPE)

=== src/onmonitoritems/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  onmonitoritems/onmonitorcornersitem.cpp
  onmonitoritems/onmonitorrectitem.cpp
  onmonitoritems/onmonitorpathitem.cpp
  PARENT_SCOPE)

=== debian/changelog ===
kdenlive (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:15:33 -0700

kdenlive (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Debian merge from pmatthaei svn.
  * We are a release behind.
  * Fix merge into kubuntu_unstable 
  * Sadly we must keep the epoch. 
  * Add missing files. 
  * Rearrange changelog to get past epoch validation test. 
  * Revert above and merge in changes from unstable,
    where all of my changes were done... 
  * Add missing dependencies. 
  * Put manpage back in -data. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:38:18 +0100

kdenlive (15.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2016 08:53:53 +0100

kdenlive (4:15.12.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release.
  * Refresh keyword patch.
    Note: Needs to be looked at, I cannot translate the remaining...
  * Fix patch line.
  * Fix EOL patch.
  * Fix patch again.
  * Patch..
  * git diff patch with upstream sources. If it does not apply, I give up.
  * Patch madness, does not apply, attempt 6.
  * 7
  * git diff is picking up wrong line number? Trying 125 as that is the @@ line.
  * Remove patch 02-fix-spelling-error.diff fixed upstream.
  * git rm the patch.

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:48:55 +0000

kdenlive (15.12.1-2) unstable; urgency=medium

  * Depend on oxygen-icon-theme instead of kde-runtime.
    Closes: #807424

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 01 Feb 2016 14:35:24 +0100

kdenlive (15.12.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-render-with-rescale-changes-fps.
    - Fixes wrong number at transcode profile.
      Closes: #809231
  * Raise minimum required mlt version up to 0.9.8.
  * Add dependency on kde-runtime.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 13 Jan 2016 09:38:35 +0100

kdenlive (15.12.0-1) unstable; urgency=medium

  [ Patrick Matthäi ]
  * Do not ship menu file anymore.

  [ Maximiliano Curia ]
  * New upstream release (15.08.3).
  * New upstream release (15.12.0).
  * New upstream release.
    - Fixes crash when deleting tracks.
      Closes: #807978
  * Add upstream patch 01-render-with-rescale-changes-fps: Fix resizing on
    render ressetting frame rate to default 25.
    Closes: #807684

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:17:49 +0100

kdenlive (15.08.3-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-desktop-keywords.
    - Remove merged patch 02-fix-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 11 Nov 2015 14:11:35 +0100

kdenlive (15.08.2+git20151026-1) unstable; urgency=high

  * New upstream git snapshot.
    - Crashes in application due of missbackported patch are fixed.
      Closes: #802592, #802824
  * Do not ship menu file anymore.
  * Remove deprecated build dependency on kde-workspace-dev.
    Closes: #802339

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 26 Oct 2015 18:21:43 +0100

kdenlive (15.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Add build dependency on kde-workspace-dev for missing FindOpenGLES.cmake.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Oct 2015 13:25:04 +0200

kdenlive (15.08.1-2) unstable; urgency=medium

  * Add dependency on qml-module-qtquick2.
    Closes: #800625
  * Remove patch 03-armhf-armel-use-opengles.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Oct 2015 10:28:07 +0200

kdenlive (15.08.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh hunky patch 01-desktop-keywords.
    - Refresh hunky patch 02-fix-spelling-error.
    - Rewrite patch 03-armhf-armel-use-opengles.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Sep 2015 14:00:14 +0200

kdenlive (15.08.0-2) unstable; urgency=medium

  * Add dependency on kinit, kded5 and kio. Without it the file browser will
    not work.
    Closes: #797684
  * Add again patch 03-armhf-armel-use-opengles, it was not merged.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Sep 2015 10:19:24 +0200

kdenlive (15.08.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 02-armhf-armel-use-opengles.
    - Add new build dependency qtdeclarative5-dev.
  * Adjust debian/copyright.
  * Add patch 02-fix-spelling-error to fix a spelling error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Aug 2015 19:17:49 +0200

kdenlive (15.04.3-2) unstable; urgency=medium

  * Cherry pick Ubuntu patch 02-armhf-armel-use-opengles to fix a FTBFS on
    armel and armhf.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Jul 2015 18:09:25 +0200

kdenlive (15.04.3-1) unstable; urgency=low

  * New upstream release.
    - Rewrite patch 01-desktop-keywords.
    - Rewrite the whole build dependencies.
    - Build against Qt5.
      Closes: #788790
    - Adjust install files.
  * Adjust debian/watch download location.
  * Switch away from libav to ffmpeg.
  * Bump mlt build dependency up to version 0.9.6-3~ to ensure that it has been
    built against ffmpeg and Qt5.
  * Update to DEP5 debian/copyright format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Jul 2015 09:38:16 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.7
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               ffmpeg,
               kdoctools-dev,
               kio-dev,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5filemetadata-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmlt++-dev (>= 0.9.8),
               libmlt-dev (>= 0.9.8),
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libv4l-dev,
               pkg-config,
               qtdeclarative5-dev,
               qtscript5-dev

Package: kdenlive
Architecture: any
Depends: ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         oxygen-icon-theme,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            recordmydesktop,
            swh-plugins
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1)
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_compress:
	dh_compress -X.docbook

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

## kdenlive 16.04.3

=== debian/changelog ===
kdenlive (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release
  * Fix install file. 
  * Fix install files. 
  * Add missing files. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * Fixing path in install file
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:29:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,42 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
 Standards-Version: 3.9.7
 Build-Depends: cmake,
                debhelper (>= 9),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.24.0~),
                ffmpeg,
-               kdoctools-dev,
-               kio-dev,
-               libkf5archive-dev,
-               libkf5bookmarks-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5filemetadata-dev,
-               libkf5guiaddons-dev,
-               libkf5iconthemes-dev,
-               libkf5newstuff-dev,
-               libkf5notifications-dev,
-               libkf5notifyconfig-dev,
-               libkf5plotting-dev,
-               libkf5textwidgets-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5archive-dev (>= 5.24.0~),
+               libkf5bookmarks-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5filemetadata-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5notifyconfig-dev (>= 5.24.0~),
+               libkf5plotting-dev (>= 5.24.0~),
+               libkf5textwidgets-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libmlt++-dev (>= 0.9.8),
                libmlt-dev (>= 0.9.8),
-               libqt5opengl5-dev,
-               libqt5svg5-dev,
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libqt5webkit5-dev (>= 5.6.1~),
                libv4l-dev,
                pkg-config,
-               qtdeclarative5-dev,
-               qtscript5-dev
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
 
 Package: kdenlive
 Architecture: any

## kdenlive 16.12.2

=== debian/changelog ===
kdenlive (16.12.2-1) unstable; urgency=low

  * New upstream release.
    - Drop patches, which are now included in 16.12.2:
      01-nvidia-crash-375094, 02-nvidia-crash-movit-1,
      03-frame-extract-remember-folder, 04-playlist-clip-expand,
      05-monitor-length-375163, 06-playaction-not-pausing,
      07-nvidia-crash-movit-2, 08-title-clip-select-twice,
      09-aspect-transparency-issues, 10-crash-razor-multiple-clips,
      11-project-archiving-fix.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Feb 2017 10:12:19 +0100

kdenlive (16.12.1-3) unstable; urgency=low

  * Add upstream patch 08-title-clip-select-twice:
    Fix title clip items need to be selected twice before allowing move.
  * Add upstream patch 09-aspect-transparency-issues:
    Fix various aspect ratio issues and transparency of composite transition in
    some cases.
  * Add upstream patch 10-crash-razor-multiple-clips:
    Fix crash on razor with multiple clips selected.
  * Add upstream patch 11-project-archiving-fix:
    Fix color clips incorrectly detected and warn before overwriting project
    file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Feb 2017 13:23:05 +0100

kdenlive (16.12.1-2) unstable; urgency=low

  * Add this upstream patches, to fix some minor bugs and crashes, if you are
    using a nvidia card with movit.
    - 01-nvidia-crash-375094.
      Closes: #853768
    - 02-nvidia-crash-movit-1.
    - 03-frame-extract-remember-folder.
    - 04-playlist-clip-expand.
    - 05-monitor-length-375163.
    - 06-playaction-not-pausing.
    - 07-nvidia-crash-movit-2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 01 Feb 2017 11:16:36 +0100

kdenlive (16.12.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Jan 2017 12:59:14 +0100

kdenlive (16.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Dec 2016 16:01:07 +0100

kdenlive (16.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Nov 2016 16:17:44 +0100

kdenlive (16.08.2-1) unstable; urgency=medium

  * New upstream release.
    - Adjust install file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 17 Oct 2016 09:59:23 +0200

kdenlive (16.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove unused file paragraphs from debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Sep 2016 08:34:12 +0200

kdenlive (16.08.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash when applying compand filter.
      Closes: #832527

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Aug 2016 11:05:45 +0200

kdenlive (16.04.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 15 Jul 2016 11:20:20 +0200

kdenlive (16.04.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes segfault or arithmetic exception with "Reverse Clip".
      Closes: #827004

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 17 Jun 2016 09:24:31 +0200

kdenlive (16.04.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 May 2016 16:16:53 +0200

kdenlive (16.04.0-2) unstable; urgency=medium

  * Add missing dependency on qml-module-qtquick-controls.
    Closes: #822279

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 24 Apr 2016 11:42:34 +0200

kdenlive (16.04.0-1) unstable; urgency=medium

  * New upstream release.
    - Add new build dependencies libkf5filemetadata-dev and libkf5crash-dev.
    - Install new kdenlive.svg file.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 22 Apr 2016 14:09:52 +0200

kdenlive (15.12.3-2) unstable; urgency=medium

  * Enable parallel building.
    Closes: #819814

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Apr 2016 12:27:16 +0200

kdenlive (15.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix spelling error in debian/copyright.
  * Enable full hardening.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Mar 2016 19:16:20 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
 pkg-config,
 cmake,
 libmlt-dev (>= 0.9.8),
 libmlt++-dev (>= 0.9.8),
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules,
 qtscript5-dev,
 libqt5svg5-dev,
 kdoctools-dev,
 kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 kinit,
 kded5,
 kio,
 oxygen-icon-theme,
 melt,
 ffmpeg
Recommends: swh-plugins,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1)
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 kdenlive (= ${binary:Version})
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRAFLAGS)

## kdenlive 16.12.3

=== debian/changelog ===
kdenlive (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:05 +0000

kdenlive (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Fixing install files
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Add runtime dep on qml-module-qtquick-controls

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:52 +0000

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.7
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5plotting-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libmlt++-dev (>= 0.9.8),
               libmlt-dev (>= 0.9.8),
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.6.1~),
               libv4l-dev,
               pkg-config,
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         oxygen-icon-theme,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            recordmydesktop,
            swh-plugins
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1)
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.
